One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Futures

Futures Portfolio Summary

Developing
GET
https://api.onetrading.com/fast/v1/account/futures/summary
This endpoint provides a real-time summary of a user's futures portfolio on the exchange. It returns details about the current portfolio, including the user's account equity, available margin, margin used and positions. The summary is updated with settlements every minute, ensuring users have the most accurate and up-to-date information about their portfolio.
Each position has the same shape as in GET /v1/account/futures/positions.
Authentication: Bearer token; any valid API key (no specific scope required). This endpoint is rate-limited.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/futures/summary' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
    "account_ratio": 24.38,
    "equity": "93844.36992069",
    "maintenance_margin": "3848.680365",
    "margin_available": "86147.00919069",
    "margin_used": "7697.36073",
    "positions": [
        {
            "instrument_code": "ETH_USD_P",
            "direction": "SHORT",
            "open_volume": "0.01",
            "open_position": "23.1518",
            "realised_pnl": "-0.647418",
            "settlement_currency": "USD",
            "last_settlement": "-0.0101",
            "last_settlement_timestamp": "2026-04-24T10:47:02.000Z",
            "mark_price": "2315.18",
            "type": "DATED_FUTURE",
            "contract_expiry_date": "2031-04-20",
            "contract_duration": "5Y"
        },
        {
            "instrument_code": "BTC_USD_P",
            "direction": "SHORT",
            "open_volume": "0.991",
            "open_position": "76950.46621",
            "realised_pnl": "-10432.8894161",
            "settlement_currency": "USD",
            "last_settlement": "0.52523",
            "last_settlement_timestamp": "2026-04-24T10:47:00.000Z",
            "mark_price": "77649.31",
            "type": "DATED_FUTURE",
            "contract_expiry_date": "2031-04-20",
            "contract_duration": "5Y"
        }
    ]
}
Previous
Get Futures Open Positions
Next
Current Funding Rate
Built with